| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiODPolygonTreeItem Class Reference
uiODMain

`#include <uiodpicksettreeitem.h>`

Inheritance diagram for uiODPolygonTreeItem:
[legend]

## Public Member Functions
| uiODPolygonTreeItem (const VisID &, Pick::Set &)
bool | actModeWhenSelected () const override
ConstRefMan< visSurvey::PickSetDisplay > | getDisplay () const
RefMan< Pick::Set > | getSet ()
ConstRefMan< Pick::Set > | getSet () const
void | showAllPicks (bool yn)
Public Member Functions inherited from uiODDisplayTreeItem
uiODDataTreeItem * | addAttribItem ()
virtual bool | displayedOnlyAtSections () const
VisID | displayID () const
void | handleAddAttrib ()
bool | isDisplayID (int) const
virtual bool | isOnlyAtSections () const
void | prepareForShutdown () override
virtual void | setOnlyAtSectionsDisplay (bool)
void | show (bool)
bool | showSubMenu () override
void | updateCheckStatus () override
void | updateColumnText (int) override
Public Member Functions inherited from uiODTreeItem
bool | anyButtonClick (uiTreeViewItem *) override
SceneID | sceneID () const
Public Member Functions inherited from uiTreeItem
| uiTreeItem (const uiString &nm=uiString::empty())
| ~uiTreeItem ()
virtual bool | addChild (uiTreeItem *child, bool below)
bool | allChildrenChecked () const
bool | allChildrenCollapsed () const
bool | allChildrenExpanded () const
bool | allChildrenUnchecked () const
bool | areAllParentsChecked ()
NotifierAccess * | checkStatusChange ()
void | collapse ()
void | collapseAllChildren ()
void | entryInEditMode (int col)
void | expand ()
void | expandAllChildren ()
virtual uiTreeItem * | findChild (const char *name)
virtual const uiTreeItem * | findChild (const char *name) const
virtual uiTreeItem * | findChild (int selkey)
virtual const uiTreeItem * | findChild (int selkey) const
virtual void | findChildren (const char *, ObjectSet< uiTreeItem > &)
uiTreeItem * | getChild (int)
const uiTreeItem * | getChild (int) const
ObjectSet< uiTreeItem > & | getChildren ()
const ObjectSet< uiTreeItem > & | getChildren () const
uiTreeViewItem * | getItem ()
const uiTreeViewItem * | getItem () const
template<class T >
bool | getProperty (const char *key, T &res) const
bool | getPropertyPtr (const char *key, void *&) const
bool | hasChildren () const
bool | hasGrandChildren () const
virtual bool | isChecked () const
bool | isCollapsed () const
bool | isExpanded () const
virtual bool | isSelected () const
NotifierAccess * | keyPressed ()
uiTreeItem * | lastChild ()
| mOD_DisableCopy (uiTreeItem) virtual void prepareForShutdown()
virtual void | moveItem (uiTreeItem *after)
virtual void | moveItemToTop ()
uiString | name () const
int | nrChildren () const
uiTreeItem * | parentTreeItem ()
virtual void | removeAllChildren ()
virtual void | removeChild (uiTreeItem *)
virtual bool | select ()
void | setChecked (bool yn, bool trigger=false)
void | setName (const uiString &nm)
template<class T >
void | setProperty (const char *key, const T &)
void | setPropertyPtr (const char *key, void *)
void | setToolTip (int column, const uiString &)
virtual uiTreeItem * | siblingAbove ()
virtual uiTreeItem * | siblingBelow ()
virtual int | siblingIndex () const
virtual void | translateText ()
void | updateSelTreeColumnText (int col)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
| ~uiODPolygonTreeItem ()
bool | askContinueAndSaveIfNeeded (bool withcancel) override
void | askSaveCB (CallBacker *)
void | createMenu (MenuHandler *, bool istb) override
bool | doubleClick (uiTreeViewItem *) override
RefMan< visSurvey::PickSetDisplay > | getDisplay ()
void | handleMenuCB (CallBacker *) override
bool | init () override
const char * | parentType () const override
void | saveCB (CallBacker *)
void | selChangedCB (CallBacker *)
void | setChg (CallBacker *)
Protected Member Functions inherited from uiODDisplayTreeItem
| uiODDisplayTreeItem ()
| ~uiODDisplayTreeItem ()
void | addToToolBarCB (CallBacker *)
virtual void | checkCB (CallBacker *)
virtual void | colorChgCB (CallBacker *)
virtual uiODDataTreeItem * | createAttribItem (const Attrib::SelSpec *) const
virtual uiString | createDisplayName () const
void | createMenuCB (CallBacker *)
virtual void | deleteObject ()
uiString | getLockMenuText () const
bool | isExpandable () const override
bool | isSelectable () const override
virtual void | keyPressCB (CallBacker *)
int | selectionKey () const override
void | selectRGBA (const Pos::GeomID &)
bool | shouldSelect (int selkey) const override
int | uiTreeViewItemType () const override
void | updateLockPixmap (bool islocked)
Protected Member Functions inherited from uiODTreeItem
| uiODTreeItem (const uiString &)
| ~uiODTreeItem ()
void | addStandardItems (uiMenu &)
uiODApplMgr * | applMgr ()
bool | getMoreObjectsToDoHint () const
void | handleStandardItems (int mnuid)
virtual const char * | iconName () const
bool | init () override
void | setMoreObjectsToDoHint (bool yn)
ui3DViewer * | viewer ()
Protected Member Functions inherited from uiTreeItem
virtual bool | addChld (uiTreeItem *, bool below, bool downwards)
virtual uiParent * | getUiParent () const
virtual void | removeItem (uiTreeViewItem *)
virtual void | renameItem (uiTreeViewItem *)
virtual bool | rightClick (uiTreeViewItem *)
virtual bool | selectWithKey (int selkey)
virtual void | setTreeViewItem (uiTreeViewItem *)
virtual void | updateSelection (int selectionKey, bool dw=false)
virtual bool | useParentType () const

## Protected Attributes
MenuItem | calcvolmnuitem_
MenuItem | changezmnuitem_
MenuItem | closepolyitem_
MenuItem | onlyatsectmnuitem_
WeakPtr< visSurvey::PickSetDisplay > | polygondisplay_
MenuItem | propertymnuitem_
RefMan< Pick::Set > | set_
MenuItem | storeasmnuitem_
MenuItem | storemnuitem_
MenuItem | workareaitem_
Protected Attributes inherited from uiODDisplayTreeItem
MenuItem | addattribmnuitem_
MenuItem | addmnuitem_
MenuItem | addvolprocmnuitem_
VisID | displayid_
MenuItem | displaymnuitem_
MenuItem | duplicatemnuitem_
MenuItem | hidemnuitem_
MenuItem | histogrammnuitem_
MenuItem | lockmnuitem_
MenuItem | removemnuitem_
uiVisPartServer * | visserv_
Protected Attributes inherited from uiTreeItem
ObjectSet< uiTreeItem > | children_
uiString | name_
uiTreeItem * | parent_ = nullptr
IOPar | properties_
uiTreeViewItem * | uitreeviewitem_ = nullptr

## Additional Inherited Members
Static Public Member Functions inherited from uiODDisplayTreeItem
static bool | create (uiTreeItem *, uiODApplMgr *, const VisID &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiODPolygonTreeItem()

uiODPolygonTreeItem::uiODPolygonTreeItem | ( | const VisID & | ,
|  | Pick::Set & | )

## ◆ ~uiODPolygonTreeItem()

uiODPolygonTreeItem::~uiODPolygonTreeItem | ( |  | ) |
| protected

## Member Function Documentation

## ◆ actModeWhenSelected()

bool uiODPolygonTreeItem::actModeWhenSelected | ( |  | ) | const
| override virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ askContinueAndSaveIfNeeded()

bool uiODPolygonTreeItem::askContinueAndSaveIfNeeded | ( | bool | withcancel | ) |
| override protected virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ askSaveCB()

void uiODPolygonTreeItem::askSaveCB | ( | CallBacker * |  | ) |
| protected

## ◆ createMenu()

void uiODPolygonTreeItem::createMenu | ( | MenuHandler * | ,
|  | bool | istb )
| override protected virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ doubleClick()

bool uiODPolygonTreeItem::doubleClick | ( | uiTreeViewItem * |  | ) |
| override protected virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ getDisplay() [1/2]

RefMan< visSurvey::PickSetDisplay > uiODPolygonTreeItem::getDisplay | ( |  | ) |
| protected

## ◆ getDisplay() [2/2]

ConstRefMan< visSurvey::PickSetDisplay > uiODPolygonTreeItem::getDisplay | ( |  | ) | const

## ◆ getSet() [1/2]

RefMan< Pick::Set > uiODPolygonTreeItem::getSet | ( |  | ) |
| inline

## ◆ getSet() [2/2]

ConstRefMan< Pick::Set > uiODPolygonTreeItem::getSet | ( |  | ) | const
| inline

## ◆ handleMenuCB()

void uiODPolygonTreeItem::handleMenuCB | ( | CallBacker * |  | ) |
| override protected virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ init()

bool uiODPolygonTreeItem::init | ( |  | ) |
| override protected virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ parentType()

const char * uiODPolygonTreeItem::parentType | ( |  | ) | const
| inline override protected virtual

Returns
  typeid(parentclass).name()

Implements uiTreeItem.

## ◆ saveCB()

void uiODPolygonTreeItem::saveCB | ( | CallBacker * |  | ) |
| protected

## ◆ selChangedCB()

void uiODPolygonTreeItem::selChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ setChg()

void uiODPolygonTreeItem::setChg | ( | CallBacker * |  | ) |
| protected

## ◆ showAllPicks()

void uiODPolygonTreeItem::showAllPicks | ( | bool | yn | ) |

## Member Data Documentation

## ◆ calcvolmnuitem_

MenuItem uiODPolygonTreeItem::calcvolmnuitem_
| protected

## ◆ changezmnuitem_

MenuItem uiODPolygonTreeItem::changezmnuitem_
| protected

## ◆ closepolyitem_

MenuItem uiODPolygonTreeItem::closepolyitem_
| protected

## ◆ onlyatsectmnuitem_

MenuItem uiODPolygonTreeItem::onlyatsectmnuitem_
| protected

## ◆ polygondisplay_

WeakPtr<visSurvey::PickSetDisplay> uiODPolygonTreeItem::polygondisplay_
| protected

## ◆ propertymnuitem_

MenuItem uiODPolygonTreeItem::propertymnuitem_
| protected

## ◆ set_

RefMan<Pick::Set> uiODPolygonTreeItem::set_
| protected

## ◆ storeasmnuitem_

MenuItem uiODPolygonTreeItem::storeasmnuitem_
| protected

## ◆ storemnuitem_

MenuItem uiODPolygonTreeItem::storemnuitem_
| protected

## ◆ workareaitem_

MenuItem uiODPolygonTreeItem::workareaitem_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025